import React from 'react'
import PropTypes from 'prop-types'

export default function TextAreaInput({
  label,
  name,
  className,
  errors = [],
  ...props
}) {
  return (
    <div className={`tw-mb-8 ${className}`}>
      {label && <label htmlFor={name}>{label}</label>}
      <textarea
        id={name}
        name={name}
        {...props}
        className={`tw-h-24 tw-border-2 tw-border-brand-border tw-w-full tw-p-3 tw-leading-tight focus:outline-none focus:shadow-outline ${
          errors.length ? 'error' : ''
        }`}
      />
      {errors && <div className='form-error'>{errors}</div>}
    </div>
  )
}

TextAreaInput.propTypes = {
  className: PropTypes.string,
  errors: PropTypes.array,
  label: PropTypes.string,
  name: PropTypes.string.isRequired,
}
