<?php

namespace Drp\EventPalAdmin\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CreateSpeaker extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(): array
    {
        return [
            'name' => 'required',
            'company' => 'required',
            'jobTitle' => 'required',
            'bio' => ['max:255'],
        ];
    }

    public function messages(): array
    {
        return [
            'name.required' => 'A name must be added.',
            'company.required' => 'A company must be added.',
            'jobTitle.required' => 'A job title must be added.',
            'bio.max' => 'The bio may not be greater than 255 characters.',
        ];
    }
}
