<?php

namespace Drp\EventPalAdmin\Http\Requests;

use Drp\EventPalAdmin\Http\Models\Form;
use Illuminate\Foundation\Http\FormRequest as BaseFormRequest;
use Illuminate\Validation\Rule;

class FormRequest extends BaseFormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(): array
    {
        $table = (new Form())->getTable();

        return [
            'name' => 'required',
            'model' => [
                'required',
                Rule::in(config('eventpal-admin.forms')),
                Rule::unique($table),
            ],
            'type' => 'required',
        ];
    }
}
